org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardEditorRenderer.RenderedComponent<T>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardEditorRenderer.RenderedComponent<T>

Type Parameters:
  `T` -

Direct Known Subclasses:
  HierarchyWizardEditorRenderer.RenderedGroup, HierarchyWizardEditorRenderer.RenderedInterval

Enclosing class:
  HierarchyWizardEditorRenderer<T>

    public abstract static class HierarchyWizardEditorRenderer.RenderedComponent<T>
    extends java.lang.Object

Base class for rendering contexts.

Author:
  Fabian Prasser

### Field Summary

Fields
`java.lang.String` `bounds` Var.
`boolean` `enabled` Var.
`java.lang.String` `label` Var.
`T` `max` Var.
`T` `min` Var.
`org.eclipse.swt.graphics.Rectangle` `rectangle1` Var.
`org.eclipse.swt.graphics.Rectangle` `rectangle2` Var.

### Constructor Summary

Constructors
Constructor and Description
`RenderedComponent()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rectangle1

    public org.eclipse.swt.graphics.Rectangle rectangle1

Var.

#### rectangle2

    public org.eclipse.swt.graphics.Rectangle rectangle2

Var.

#### enabled

    public boolean enabled

Var.

#### label

    public java.lang.String label

Var.

#### bounds

    public java.lang.String bounds

Var.

#### min

    public T min

Var.

#### max

    public T max

Var.

### Constructor Detail

#### RenderedComponent

    public RenderedComponent()